---
http_interactions:
- request:
    method: post
    uri: https://login.microsoftonline.com/4d44bf36-9b56-45c0-8807-bbf386dd047f/oauth2/v2.0/token
    body:
      encoding: UTF-8
      string: grant_type=client_credentials&scope=https%3A%2F%2Fgraph.microsoft.com%2F.default
    headers:
      User-Agent:
      - Rack::OAuth2 (2.2.1)
      Authorization:
      - Basic <BASIC_AUTH>
      Content-Type:
      - application/x-www-form-urlencoded
      Accept-Encoding:
      - gzip;q=1.0,deflate;q=0.6,identity;q=0.3
      Accept:
      - "*/*"
  response:
    status:
      code: 200
      message: OK
    headers:
      Cache-Control:
      - no-store, no-cache
      Pragma:
      - no-cache
      Content-Type:
      - application/json; charset=utf-8
      Expires:
      - "-1"
      Strict-Transport-Security:
      - max-age=31536000; includeSubDomains
      X-Content-Type-Options:
      - nosniff
      P3p:
      - CP="DSP CUR OTPi IND OTRi ONL FIN"
      X-Ms-Request-Id:
      - 440c5b10-b08d-4e27-a0e3-a867484b8100
      X-Ms-Ests-Server:
      - 2.1.17122.3 - SEC ProdSlices
      X-Xss-Protection:
      - '0'
      Set-Cookie:
      - fpc=AnQ2g0vudnFMpubiKEjaUFakbDoXAQAAAMvaSt0OAAAA; expires=Thu, 29-Feb-2024
        11:55:55 GMT; path=/; secure; HttpOnly; SameSite=None
      - stsservicecookie=estsfd; path=/; secure; samesite=none; httponly
      - x-ms-gateway-slice=estsfd; path=/; secure; samesite=none; httponly
      Date:
      - Tue, 30 Jan 2024 11:55:55 GMT
      Content-Length:
      - '1708'
    body:
      encoding: UTF-8
      string: '{"token_type":"Bearer","expires_in":3599,"ext_expires_in":3599,"access_token":"<ACCESS_TOKEN>"}'
  recorded_at: Tue, 30 Jan 2024 11:55:56 GMT
- request:
    method: post
    uri: https://graph.microsoft.com/v1.0/drives/b!dmVLG22QlE2PSW0AqVB7UOhZ8n7tjkVGkgqLNnuw2OBb-brzKzZAR4DYT1k9KPXs/root/children
    body:
      encoding: UTF-8
      string: '{"name":"To Be Deleted Soon","folder":{},"@microsoft.graph.conflictBehavior":"fail"}'
    headers:
      Authorization:
      - Bearer <BEARER TOKEN>
      Accept:
      - application/json
      Content-Type:
      - application/json
      User-Agent:
      - httpx.rb/1.2.1
      Accept-Encoding:
      - gzip, deflate
      Content-Length:
      - '84'
  response:
    status:
      code: 201
      message: Created
    headers:
      Cache-Control:
      - no-store, no-cache
      Transfer-Encoding:
      - chunked
      Content-Type:
      - application/json;odata.metadata=minimal;odata.streaming=true;IEEE754Compatible=false;charset=utf-8
      Content-Encoding:
      - gzip
      Etag:
      - '"{19BF7ED5-FF86-4E29-9D38-A713C626E2F7},1"'
      Location:
      - https://finn.sharepoint.com/_api/v2.0/drives('b!dmVLG22QlE2PSW0AqVB7UOhZ8n7tjkVGkgqLNnuw2OBb-brzKzZAR4DYT1k9KPXs')/items('root')/children('01AZJL5POVP27RTBX7FFHJ2OFHCPDCNYXX')
      Vary:
      - Accept-Encoding
      Strict-Transport-Security:
      - max-age=31536000
      Request-Id:
      - 957c6f72-1d37-4000-90e1-745fd6f52fc4
      Client-Request-Id:
      - 957c6f72-1d37-4000-90e1-745fd6f52fc4
      X-Ms-Ags-Diagnostic:
      - '{"ServerInfo":{"DataCenter":"Germany West Central","Slice":"E","Ring":"5","ScaleUnit":"005","RoleInstance":"FR3PEPF00000356"}}'
      Odata-Version:
      - '4.0'
      Date:
      - Tue, 30 Jan 2024 11:55:55 GMT
    body:
      encoding: UTF-8
      string: '{"@odata.context":"https://graph.microsoft.com/v1.0/$metadata#drives(''b%21dmVLG22QlE2PSW0AqVB7UOhZ8n7tjkVGkgqLNnuw2OBb-brzKzZAR4DYT1k9KPXs'')/root/children/$entity","@odata.etag":"\"{19BF7ED5-FF86-4E29-9D38-A713C626E2F7},1\"","createdDateTime":"2024-01-30T11:55:56Z","eTag":"\"{19BF7ED5-FF86-4E29-9D38-A713C626E2F7},1\"","id":"01AZJL5POVP27RTBX7FFHJ2OFHCPDCNYXX","lastModifiedDateTime":"2024-01-30T11:55:56Z","name":"To
        Be Deleted Soon","size":0,"webUrl":"https://finn.sharepoint.com/sites/openprojectfilestoragetests/VCR/To%20Be%20Deleted%20Soon","cTag":"\"c:{19BF7ED5-FF86-4E29-9D38-A713C626E2F7},0\"","commentSettings":{"commentingDisabled":{"isDisabled":false}},"createdBy":{"application":{"displayName":"OpenProject
        Dev App","id":"4262df2b-77bb-49c2-a5df-28355da676d2"},"user":{"displayName":"SharePoint
        App"}},"lastModifiedBy":{"application":{"displayName":"OpenProject Dev App","id":"4262df2b-77bb-49c2-a5df-28355da676d2"},"user":{"displayName":"SharePoint
        App"}},"parentReference":{"driveId":"b!dmVLG22QlE2PSW0AqVB7UOhZ8n7tjkVGkgqLNnuw2OBb-brzKzZAR4DYT1k9KPXs","driveType":"documentLibrary","id":"01AZJL5PN6Y2GOVW7725BZO354PWSELRRZ","path":"/drives/b!dmVLG22QlE2PSW0AqVB7UOhZ8n7tjkVGkgqLNnuw2OBb-brzKzZAR4DYT1k9KPXs/root:","sharepointIds":{"listId":"f3baf95b-362b-4740-80d8-4f593d28f5ec","listItemUniqueId":"049e81d0-52fb-4624-af6d-96611c29a9cc","siteId":"1b4b6576-906d-4d94-8f49-6d00a9507b50","siteUrl":"https://finn.sharepoint.com/sites/openprojectfilestoragetests","tenantId":"4d44bf36-9b56-45c0-8807-bbf386dd047f","webId":"7ef259e8-8eed-4645-920a-8b367bb0d8e0"}},"fileSystemInfo":{"createdDateTime":"2024-01-30T11:55:56Z","lastModifiedDateTime":"2024-01-30T11:55:56Z"},"folder":{"childCount":0}}'
  recorded_at: Tue, 30 Jan 2024 11:55:56 GMT
- request:
    method: delete
    uri: https://graph.microsoft.com/v1.0/drives/b!dmVLG22QlE2PSW0AqVB7UOhZ8n7tjkVGkgqLNnuw2OBb-brzKzZAR4DYT1k9KPXs/items/01AZJL5POVP27RTBX7FFHJ2OFHCPDCNYXX
    body:
      encoding: US-ASCII
      string: ''
    headers:
      Authorization:
      - Bearer <BEARER TOKEN>
      Accept:
      - application/json
      Content-Type:
      - application/json
      User-Agent:
      - httpx.rb/1.2.1
      Accept-Encoding:
      - gzip, deflate
  response:
    status:
      code: 204
      message: No Content
    headers:
      Cache-Control:
      - no-store, no-cache
      Strict-Transport-Security:
      - max-age=31536000
      Request-Id:
      - 379f25da-5930-41c6-bd08-9a53e668f60a
      Client-Request-Id:
      - 379f25da-5930-41c6-bd08-9a53e668f60a
      X-Ms-Ags-Diagnostic:
      - '{"ServerInfo":{"DataCenter":"Germany West Central","Slice":"E","Ring":"5","ScaleUnit":"005","RoleInstance":"FR3PEPF00000463"}}'
      Date:
      - Tue, 30 Jan 2024 11:55:55 GMT
    body:
      encoding: UTF-8
      string: ''
  recorded_at: Tue, 30 Jan 2024 11:55:56 GMT
recorded_with: VCR 6.2.0
